Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Interface ProxyManager

All Known Implementing Classes:
  ProxyManagerImpl

public interface ProxyManager

Manager for copying and proxying second class objects. JDO considers second class objects to be those that are often used as fields of persistent or transactional instances, and which can themselves be modified without resetting the owning class' field. Because these types can change without an explicit call to the owning persistence capable instance, special care must be taken to ensure that their state is managed correctly. Specifically, they must be copied when saving state for rollback, and they must be proxied for any instance whose state is managed by a state manager, where proxying involves creating a second class object that automaticlly notifies its owning instance whenever it is modified. Generally, this factory is only used by the JDO implementation; second class object handling is transparent to client code.

Method Summary
`Object` | `copyArray(Object orig)` Return a new array of the same component type as the given array and containing the same elements.
`Collection` | `copyCollection(Collection orig)` Return a new collection of the same type as the given one with a copy of all contained elements.
`Object` | `copyCustom(Object orig)` Return a copy of the given object with the same information.
`Date` | `copyDate(Date orig)` Return a copy of the given date with the same information.
`Map` | `copyMap(Map orig)` Return a new map of the same type as the given one with a copy of all contained key/value pairs.
`ProxyCollection` | `newCollectionProxy(Class type, Class elementType, Comparator compare)` Return a proxy for the given collection type.
`Proxy` | `newCustomProxy(Object obj)` Return a proxy for the given object, or null if this manager cannot proxy the object.
`ProxyDate` | `newDateProxy()` Return a new date proxy.
`ProxyMap` | `newMapProxy(Class type, Class keyType, Class valueType, Comparator compare)` Return a proxy for the given map type.

Method Detail

### copyDate

    public Date copyDate(Date orig)

  Return a copy of the given date with the same information.

### copyCollection

    public Collection copyCollection(Collection orig)

  Return a new collection of the same type as the given one with a copy of all contained elements. If the given owner is non-null, the returned value should be a proxy for the given owner, otherwise it should not be a proxy.

### copyMap

    public Map copyMap(Map orig)

  Return a new map of the same type as the given one with a copy of all contained key/value pairs. If the given owner is non-null, the returned value should be a proxy for the given owner, otherwise it should not be a proxy.

### copyArray

    public Object copyArray(Object orig)

  Return a new array of the same component type as the given array and containing the same elements. Works for both primitive and object array types.

### copyCustom

    public Object copyCustom(Object orig)

  Return a copy of the given object with the same information. If this manager cannot proxy the given type, return null. If the given owner is non-null, the returned value should be a proxy for the given owner, otherwise it should not be a proxy.
  Since:
    2.5

### newDateProxy

    public ProxyDate newDateProxy()

  Return a new date proxy.

### newCollectionProxy

    public ProxyCollection newCollectionProxy(Class type,
                                              Class elementType,
                                              Comparator compare)

  Return a proxy for the given collection type. The returned collection will allow only addition of elements assignable from the given element type and will use the given comparator, if it is not null.

### newMapProxy

    public ProxyMap newMapProxy(Class type,
                                Class keyType,
                                Class valueType,
                                Comparator compare)

  Return a proxy for the given map type. The returned map will allow only addition of keys/values assignable from the given keyType/valueType, and will use the given comparator, if it is not null.

### newCustomProxy

    public Proxy newCustomProxy(Object obj)

  Return a proxy for the given object, or null if this manager cannot proxy the object.
  Since:
    2.5

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.